Skip to main content
POST
Return funds to owner or retry payment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Identify the funds to withdraw with withdraw_from, passed through exactly as returned by POST /payments/issues or POST /payments/balances.

token_amounts
object[]
required

List of token amounts to withdraw back to the owner or to a requoted processing address

recipient_address
string
required

Onchain address to withdraw the funds to. The assets will go to the address on the same chain the assets are on.

withdraw_from
object

Where to withdraw from, passed through exactly as returned in withdraw_from by POST /payments/issues or POST /payments/balances.

payment_id
string
deprecated

ID of the payment to withdraw.

withdraw_account
enum<string>
deprecated

Type of account to withdraw from.

Available options:
INTENT,
SPW,
RDW

Response

Withdrawal initiated successfully

signature_type
enum<string>
required

Signature type required for the withdrawal authorization.

Available options:
EIP712,
EIP191
withdraw_id
string<uuid>
required

ID of the withdrawal. Use it with GET /payments/withdraw/status to poll for completion.

withdraw_authorization
string
required

Authorization data to sign. For EIP712, this is a JSON string to parse and pass to signTypedData. For EIP191, pass this string directly to signMessage.

state_token
string
required

Opaque state token to pass back when confirming the withdrawal.

payment_id
string

ID of the payment the withdrawal belongs to.